<form  #f="ngForm" (ngSubmit)=submit(f.value)>
    <!-- Name Box -->
   <div class="form-group">
       <label for="name"> Enter Your name Here</label>
       <input required minlength="3" ngModel name="name" #name="ngModel" type="text" id="name" class="form-control">
       <div *ngIf="name.toched && !name.valid" class="aler alert-danger">
           <div *ngIf="name.errors.required">Name Field is Required</div>
           <div *ngIf="name.errors.minlength">Name Field should be at least 3 char</div>
       </div>
    </div> 
    <!-- End name Box -->
    <!-- Username Box -->
    <div class="form-group">
        <label for="userName"> Enter a user name</label>
        <input required minlength="3" ngModel name="theUsername" #theUsername="ngModel" type="any" id="userName" class="form-control">
        <div *ngIf="name.toched && !name.valid" class="aler alert-danger">
            <div *ngIf="name.errors.required">A username is Required</div>
            <div *ngIf="name.errors.minlength">The username should be at least 3 char</div>
        </div>
     </div>
    <!-- End Username Box -->
    <!-- Email Box -->
    <div class="form-group">
        <label for="emailV"> Enter a user name</label>
        <input required minlength="10" ngModel name="uMail" #uMail="ngModel"type="text" id="emailV" class="form-control">
        <div *ngIf="name.toched && !name.valid" class="aler alert-danger">
            <div *ngIf="name.errors.required">Emai Field is Required</div>
            <div *ngIf="name.errors.minlength">Email should be at least 10 char</div>
        </div>
     </div>
    <!-- End Email Box -->
    <!-- Mobile Box -->
    <div class="form-group">
        <label for="phoneV"> Enter a user name</label>
        <input required minlength="11" ngModel name="phoneN" #phoneN="ngModel"type="number" id="phoneV" class="form-control">
        <div *ngIf="name.toched && !name.valid" class="aler alert-danger">
            <div *ngIf="name.errors.required">phone is Required</div>
            <div *ngIf="name.errors.minlength">phone should be  11 char</div>
        </div>
     </div>
    <!-- End Mobile Box -->
    <!-- Jobtitle Selector Box -->
        <div class="form-group">
            <label for="category">job tittles </label>
            <select required ngModel name="category" #category="ngModel" id="category" class="form-control">
                <option value=""></option>
                <option *ngFor="let c of categories" [value]="c.id">{{ c.name}}</option>
            </select>
            <div *ngIf="category.toched && category.invalid" class="alert alert-danger">
                job title field is required
            </div>
        </div>
    <!--  End Jobtitle Selector Box -->
    <!-- Password Box  -->
    <div class="form-group">
        <label for="pass"> Enter a user name</label>
        <inputrequired minlength="5" ngModel name="uPass" #uPass="ngModel" type="any" id="pass" class="form-control">
            <div *ngIf="name.toched && !name.valid" class="aler alert-danger">
                <div *ngIf="name.errors.required">A password is Required</div>
                <div *ngIf="name.errors.minlength">Youre passWod should be at least 5 char</div>
            </div>
     </div>
    <!-- End Password Box -->
    <!-- Agreement BOx -->
        <div class="checkbox">
            <label for="AgreeByRight">
                <input ngModel name="AcceptRules" type="checkbox" id="AgreeByRights">
                قوانین سایت را مطالعه کرده و پذیرفته ام(نظر خودم بود باشه)
            </label>
        </div>
    <!-- End Agreement BOx -->
    <!-- Submit Button -->
        <p>{{f.value | json}}</p>
        <button class="btn btn-primary"[disabled]="f.invalid">ارسال</button>
    <!-- End Submit button -->
</form>
